LibreOffice: Events Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Exported Interfaces | List of all members
Events Service Referencepublished

is a collection of all events supported by a document or content of a document More...

`import"Events.idl";`

Inheritance diagram for Events:

## Exported Interfaces
interface | com::sun::star::container::XNameReplace
| offers access to the list of EventDescriptors More...

## Additional Inherited Members
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is a collection of all events supported by a document or content of a document

Such Events will be broadcasted by a XEventBroadcaster to any XEventListener packed as EventObjects.

Developers Guide
  OfficeDev - Document Events

## Exported Interfaces

## ◆ com::sun::star::container::XNameReplace

interface com::sun::star::container::XNameReplace

offers access to the list of EventDescriptors

The following events are usually available:

OnAlphaCharInput
OnClick
OnCloseApp
OnCopyTo
OnCopyToDone
OnError
OnFocus
OnInsertDone
OnInsertStart
OnLoad
OnLoadCancel
OnLoadDone
OnLoadError
OnLoadFinished
OnMailMerge
OnMailMergeFinished
OnModifyChanged
OnMouseOut
OnMouseOver
OnMove
OnNew
OnNewMail
OnNonAlphaCharInput
OnPageCountChange
OnPrepareUnload
OnPrepareViewClosing
OnPrint
OnResize
OnSave
OnSaveAs
OnSaveAsDone
OnSaveDone
OnSaveFinished
OnSelect
OnStartApp
OnToggleFullscreen
OnUnfocus
OnUnload
OnViewCreated
OnViewClosed

The documentation for this service was generated from the following file:

- com/sun/star/document/Events.idl